from .. import __package__ as base_package
import bpy
from bpy.types import AddonPreferences
from bpy.props import BoolProperty

class SW_Preferences(AddonPreferences):
    bl_idname = base_package
    
    use_topbar: BoolProperty(name="Use Scene Workspaces topbar", description="Switch the workspace topbar between Scene Workspaces and the default one", default=True)
    switch: BoolProperty(name="Show Switch", description="Show/Hide the switch button next to the workspaces topbar. Useful for quickly lookup the original workspaces topbar", default=True)
    compact: BoolProperty(name="Use Compact Mode", description="If disabled, adds spacing around the active workspace and a quick unlink button", default=True)
    
    def draw(self, context):
        layout = self.layout
        layout.prop(self, "use_topbar")
        layout.prop(self, "switch")

        box = layout.box()
        box.label(text="UI Options")
        box.prop(self, "compact")
